gnutls_ext_get_name2(3)

NAME
gnutls_ext_get_name2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_ext_get_name2(gnutls_session_t session, unsigned int tls_id, gnutls_ext_parse_type_t parse_point);

ARGUMENTS

gnutls_session_t session
    a gnutls_session_t opaque pointer

unsigned int tls_id
    is a TLS extension numeric ID

gnutls_ext_parse_type_t parse_point
    the parse type of the extension

DESCRIPTION
Convert a TLS extension numeric ID to a printable string.

RETURNS
a pointer to a string that contains the name of the specified cipher, or NULL.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/